Bug 826971

Summary: F16 -> F17 upgrade fails to download things after reboot
Product: [Fedora] Fedora Reporter: Vytas <vytautas1987>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: collura, hughsient, imp1379, jeff.raber, jlaska, jvillalo, lornden, peter
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 09:44:58 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Vytas 2012-05-31 06:43:23 EDT
Description of problem:
F16 -> F17 upgrade fails to download things after reboot

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. preupgrade with not enough on /boot, but download later
2. reboot and select upgrade
3. error
  
Actual results:
curl: (22) The reqested URL returned error: 404
[] dracut Warning: can't find installer mainimage path in .treeinfo
http://mirror.vit.com.tr/mirror/Fedora/linux/releases/17/Fedora/i386/os/LiveOS/sqashfs.img/liveOS/sqashfs.img

Expected results:
upgrade

Additional info:
Net rly works all time, error retyped.
Comment 1 imp 2012-06-02 11:09:30 EDT
I can confirm this issue as I ran into it as well while upgrading fc16 to 17 using preupgrade. As mentioned correctly you will only run into this issue when your /boot has insufficient space to save the "squashfs.img" file.

The issue is that when trying to download the "squashfs.img" file from your local mirror, the last part of the url ("/LiveOS/squashfs.img") is appended to the url specified in your grub menu entry (/boot/grub2/grub.cfg) that has to be booted to start the upgrade:

menuentry 'Upgrade to Fedora 17 (Beefy Miracle)' --class gnu-linux --class gnu --class os {
        linux /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=<uuid>:/upgrade/ks.cfg stage2=http://<your mirror>/fedora/linux/releases/17/Fedora/i386/os/LiveOS/squashfs.img
        initrd /upgrade/initrd.img
}

As you can see in the example above, the menu entry already contains the "/LiveOS/squashfs.img" part in the url. I worked around it by removing that part from the menu entry specified in /boot/grub2/grub.cfg:

menuentry 'Upgrade to Fedora 17 (Beefy Miracle)' --class gnu-linux --class gnu --class os {
        linux /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=<uuid>:/upgrade/ks.cfg stage2=http://<your mirror>/fedora/linux/releases/17/Fedora/i386/os
        initrd /upgrade/initrd.img
}

After that, you will be able to start the upgrade process as you were supposed to.
Comment 2 John Villalovos 2012-07-15 17:09:40 EDT
I think these two commits introduced the error, but I can be wrong :)
http://git.fedorahosted.org/git/?p=preupgrade.git;a=commitdiff;h=176a61246384533897879bd1aa961afdf5425de9

author	James Laska <jlaska@redhat.com>	
	Tue, 15 Mar 2011 10:38:32 +0000 (10:38 +0000)
committer	Richard Hughes <richard@hughsie.com>	
	Tue, 15 Mar 2011 10:38:32 +0000 (10:38 +0000)
commit	176a61246384533897879bd1aa961afdf5425de9
tree	65560ea17efe17660cf23bcbd64495c7e9ccf920
parent	e49320d69f41a61c6d3a3803106469e9caab0b0b
Fix preupgrade-cli now stage2 is not shipped in F15
Signed-off-by: Richard Hughes <richard@hughsie.com>


http://git.fedorahosted.org/git/?p=preupgrade.git;a=commitdiff;h=e49320d69f41a61c6d3a3803106469e9caab0b0b
author	James Laska <jlaska@redhat.com>	
	Thu, 3 Mar 2011 09:59:06 +0000 (09:59 +0000)
committer	Richard Hughes <richard@hughsie.com>	
	Thu, 3 Mar 2011 09:59:31 +0000 (09:59 +0000)
commit	e49320d69f41a61c6d3a3803106469e9caab0b0b
tree	f6ec7e3ee96673736645f4fe24ab0b31507cfda6
parent	de9b9784789ccfa4b40244da70233500d8062904
Fix preupgrade not stage2 is not shipped in F15
Comment 3 Peter Brommer 2012-08-11 20:26:46 EDT
This bug is a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=813973 - isn't it?
Comment 4 Fedora End Of Life 2013-01-16 08:50:49 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 09:45:01 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.